> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/spotlight-objects-api/spotlight-object/list-spotlighted-objects.md).

# List spotlight objects

Gets a list of spotlight result objects for the specified account (retrieved from JWT) and the buyer group (retrieved from the API for the requesting user), filtered by an RQL query if applicable.

## GET /public/v1/spotlight/objects

>

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"prod-4.0.142-g7651a22a"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/spotlight/objects":{"get":{"tags":["SpotlightObjects"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SpotlightObjectListResponse"}}}}}}}},"components":{"schemas":{"SpotlightObjectListResponse":{"type":"object","properties":{"$meta":{"type":"object","allOf":[{"$ref":"#/components/schemas/ListMetadata"}]},"data":{"type":"array","items":{"$ref":"#/components/schemas/SpotlightObject"}}},"additionalProperties":false},"ListMetadata":{"type":"object","properties":{"pagination":{"type":"object","allOf":[{"$ref":"#/components/schemas/PaginationMetadata"}]},"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"PaginationMetadata":{"type":"object","properties":{"offset":{"type":"integer","format":"int32"},"limit":{"type":"integer","format":"int32"},"total":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"SpotlightObject":{"type":"object","properties":{"id":{"type":"string"},"audit":{"type":"object","allOf":[{"$ref":"#/components/schemas/Audit"}]},"$meta":{"type":"object","allOf":[{"$ref":"#/components/schemas/Metadata"}]},"total":{"type":"integer","format":"int32"},"top":{"type":"array","items":{}},"query":{"type":"object","allOf":[{"$ref":"#/components/schemas/SpotlightQueryDto"}]},"name":{"type":"string","nullable":true}},"additionalProperties":false},"Audit":{"type":"object","properties":{"created":{"type":"object","allOf":[{"$ref":"#/components/schemas/Event"}]},"updated":{"type":"object","allOf":[{"$ref":"#/components/schemas/Event"}]}},"additionalProperties":false},"Event":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/Identity"}]}},"additionalProperties":false},"Identity":{"type":"object","properties":{"id":{"type":"string"},"audit":{"type":"object","allOf":[{"$ref":"#/components/schemas/Audit"}]},"$meta":{"type":"object","allOf":[{"$ref":"#/components/schemas/Metadata"}]},"name":{"type":"string"},"icon":{"type":"string","nullable":true}},"additionalProperties":false},"Metadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"SpotlightQueryDto":{"type":"object","properties":{"id":{"type":"string"},"audit":{"type":"object","allOf":[{"$ref":"#/components/schemas/Audit"}]},"$meta":{"type":"object","allOf":[{"$ref":"#/components/schemas/Metadata"}]},"name":{"type":"string"},"template":{"type":"string"},"invalidation":{"type":"object","allOf":[{"$ref":"#/components/schemas/Invalidation"}]},"filter":{"type":"string"},"scope":{"type":"string","allOf":[{"$ref":"#/components/schemas/Scope"}]}},"additionalProperties":false},"Invalidation":{"type":"object","properties":{"interval":{"type":"string","format":"date-span"}},"additionalProperties":false},"Scope":{"enum":["None","Client","Vendor","Operations","All"],"type":"string"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/spotlight-objects-api/spotlight-object/list-spotlighted-objects.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
